/*
 * Secure eXtended Message Passing framework
 * Secure eXtended Transport layer implementation: (libsxt)
 * - very similar to SSH2/TLS
 * - using already proven and tested crypto algos
 * - better than TLS for message passing
 *
 * Crypt wrappers
 *
 * (c) Alexander Vdolainen 2016 <avdolainen@zoho.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 *
 */

#ifndef __SXT_CRYPT_H__
#define __SXT_CRYPT_H__

int sxt_get_random(void *data, int len, int pseudo);

/* bcrypt_pbkdf from openbsd */
int bcrypt_pbkdf(const char *pass, size_t passlen,
                 const uint8_t *salt, size_t saltlen,
                 uint8_t *key, size_t keylen,
                 unsigned int rounds);


#endif /* __SXT_CRYPT_H__ */
